/* dabbeche.com -- majdi.tn */
@import url('https://fonts.googleapis.com/css2?family=Comfortaa:wght@300..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Beiruti:wght@200..900&display=swap');

:root {
  --color-primary: hsl(225, 74%, 57%);
  --color-primary-d: hsl(225, 74%, 37%);
  --color-primary-l: hsl(225, 74%, 77%);
  --color-title: hsl(0, 0%, 25%);
  --color-text: hsl(0, 0%, 35%);
  --color-text-l: hsl(0, 0%, 65%);
  --color-bg: hsl(355, 71%, 99%);
  --color-container: hsl(0, 0%, 100%);
  --shadow: hsla(0, 0%, 20%, 0.3);
  --shadow-l: hsla(0, 0%, 20%, 0.1);
  --shadow-d: hsla(0, 0%, 20%, 0.6);
  --font-primary: "Comfortaa";
  --border-r-s: 0.25rem;
  --border-r-m: 0.5rem;
  --border-r-l: 1rem;
  --border-r-f: 99rem;

  --color-white: #fff;
  --color-background: #f7f8fb;
  --color-border: #dae1f5;
  --fs-sm: 1.4rem;
  --fs-md: 1.2rem;
  --fs-lg: 2.2rem;
  --fw-regular: 400;
  --fw-medium: 500;
  --fw-bold: 700;
  --transition: 0.4s ease-in-out; 
}

* {
  box-sizing: border-box;
}

html {
  font: 18px/1.6 "Comfortaa", "Beiruti", helvetica, system-ui, sans-serif;
  scroll-behavior: smooth;
}

body {
  min-height: 100vh;
  color: var(--color-text);
  margin: 0;
}

a {
  text-decoration: none;
  color: var(--color-primary);
}

a:active:not(.button) {
  color: var(--color-primary-d);
}

p {
  margin-bottom: 1.5rem;
}
.logo {
 display: flex;
 align-items: center;
 cursor: pointer;
}
.logo-img {
  margin-right: 12px;
  height: 3.5rem;
  float: left;
}

figure {
  margin: 0;
}

img {
  display: inline-block;
  max-width: 100%;
  border-radius: var(--border-r-m);
}
.img-shadow {
  box-shadow: 0 4px 20px 1px var(--shadow-d);
}

img.circle {
  border-radius: 50%;
  box-shadow: 0 2px 15px 2px var(--shadow);
}

.center {
  text-align: center;
}

.icon,
.service-icon {
  width: 1rem;
  height: 1rem;
  display: inline-flex;
  place-items: center;
  margin: 0.15rem;
}

.title {
  color: var(--color-primary-d);
  font-size: 1.5rem;
}

.subtitle {
  font-size: large;
}

.button {
  display: inline-block;
  padding: 0.75rem 1.5rem;
  border-radius: var(--border-r-f);
  background: var(--color-primary);
  color: var(--color-bg);
  text-decoration: none;
}

.button:hover {
  background: var(--color-primary-d);
  box-shadow: 0 2px 10px var(--shadow-d);
}

.button:active {
  transform: translateY(3px);
}

.navbar {
  position: sticky;
  top: 0;
  padding: 0.5rem;
  background: var(--color-bg);
  box-shadow: 0 2px 15px -5px var(--shadow-l);
  z-index: 10;
}

.navbar-container {
  max-width: 54rem;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.navbar-info {
  top: 0;
  padding: 0.5rem;
  background:  var(--color-primary);
  box-shadow: 0 2px 15px -5px var(--shadow-l);
  color: var(--color-bg);
}

.navbar-info-container {
  max-width: 54rem;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

#menubtn {
  display: none;
}

.menulbl {
  cursor: pointer;
  background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512' width='100' title='bars'%3E%3Cpath d='M16 132h416c8.837 0 16-7.163 16-16V76c0-8.837-7.163-16-16-16H16C7.163 60 0 67.163 0 76v40c0 8.837 7.163 16 16 16zm0 160h416c8.837 0 16-7.163 16-16v-40c0-8.837-7.163-16-16-16H16c-8.837 0-16 7.163-16 16v40c0 8.837 7.163 16 16 16zm0 160h416c8.837 0 16-7.163 16-16v-40c0-8.837-7.163-16-16-16H16c-8.837 0-16 7.163-16 16v40c0 8.837 7.163 16 16 16z' /%3E%3C/svg%3E") no-repeat center/cover;
}

#menubtn:checked + .menulbl {
  background-image: url("data:image/svg+xml,%3Csvg aria-hidden='true' focusable='false' data-prefix='fas' data-icon='times' class='svg-inline--fa fa-times fa-w-11' role='img' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 352 512'%3E%3Cpath fill='currentColor' d='M242.72 256l100.07-100.07c12.28-12.28 12.28-32.19 0-44.48l-22.24-22.24c-12.28-12.28-32.19-12.28-44.48 0L176 189.28 75.93 89.21c-12.28-12.28-32.19-12.28-44.48 0L9.21 111.45c-12.28 12.28-12.28 32.19 0 44.48L109.28 256 9.21 356.07c-12.28 12.28-12.28 32.19 0 44.48l22.24 22.24c12.28 12.28 32.2 12.28 44.48 0L176 322.72l100.07 100.07c12.28 12.28 32.2 12.28 44.48 0l22.24-22.24c12.28-12.28 12.28-32.19 0-44.48L242.72 256z'%3E%3C/path%3E%3C/svg%3E");
}

#menubtn:checked ~ .menu {
  top: 105%;
}

.menu {
  list-style: none;
  margin: 1rem;
  padding: 1rem;
  width: calc(100% - 2rem);
  border-radius: var(--border-r-s);
  background: var(--color-container);
  box-shadow: 0 0 20px -8px var(--shadow-d);
  position: absolute;
  top: -700%;
  left: 0;
  transition: top 0.5s cubic-bezier(0.76, -0.51, 0.26, 1.78);
}

.menu-item {
  text-align: center;
}

.menu-link {
  display: block;
  padding: 0.25rem;
  margin: 0.25rem;
  color: var(--color-title);
}

.menu-link:hover {
  color: var(--color-primary-d);
}

.section {
  padding: 1rem;
  display: grid;
  margin: 2rem auto;
  max-width: 54rem;
}

.header {
  gap: 2rem;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
}

.header__col:last-child {
  margin-top: 2rem;
  display: grid;
  place-items: center;
}

.image-blob {
  border-radius: 50% 50% 50% 50%/70% 70% 30% 30%;
  height: calc(100vw - 2rem);
  width: calc(100vw - 2rem);
  max-height: 18rem;
  max-width: 18rem;
  margin: 0 auto;
  object-fit: cover;
  object-position: top;
}

.services {
  gap: 1rem;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  justify-content: center;
}

.service {
  text-align: center;
}

.service-icon {
  width: 4rem;
  height: 4rem;
  color: var(--color-text-d);
}

.service:nth-child(1) .service-icon {
  color: lightpink;
}

.service:nth-child(2) .service-icon {
  color: lightsalmon;
}

.service:nth-child(3) .service-icon {
  color: lightblue;
}

.service .subtitle {
  color: var(--color-text-d);
}

.info {
  gap: 5rem;
  place-items: center;
}

.info:nth-of-type(2) img {
  border-radius: 65% 35% 35% 65%/37% 68% 32% 63%;
}

.info:nth-of-type(3) img {
  border-radius: 44% 56% 59% 41%/61% 33% 67% 39%;
}

.testimonials {
  overflow: hidden;
  padding: 0;
  margin: 0 auto 2rem;
  max-width: 35rem;
}

.testimonials-container {
  display: flex;
  animation: carousel 15s infinite;
}

.testimonial {
  flex: 1 0 100%;
  padding: 2rem 0 1rem;
  text-align: center;
  background: linear-gradient(var(--color-container), var(--shadow-l));
  border-radius: var(--border-r-s);
  box-shadow: 0 0 15px -3px var(--shadow-l);
}

@keyframes carousel {
  1% {
    transform: translateX(0%);
  }
  31% {
    transform: translateX(0%);
  }
  35% {
    transform: translateX(-100%);
  }
  64% {
    transform: translateX(-100%);
  }
  68% {
    transform: translateX(-200%);
  }
  97% {
    transform: translateX(-200%);
  }
}

.google-maps {
  position: relative;
  padding-bottom: 75%;
  height: 0;
  overflow: hidden;
  margin-bottom: 1.5rem;
}
.google-maps iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.footer {
  max-width: 100%;
  margin-top: 5rem;
  margin-bottom: 0;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  background: var(--color-primary);
  color: var(--color-bg);
  box-shadow: 0 -4px 15px var(--shadow);
}

.footer ul {
  list-style: none;
  padding: 0;
}

.address span {
  margin: 0;
}

.social-link {
  display: flex;
  align-items: center;
  color: inherit;
}

.social-link .icon {
  margin-right: 0.5rem;
}

.footer-social-icon a {
  color: white;
  margin-right: 0.5rem;
}
.footer-social-icon i {
  height: 25px;
  width: 25px;
  text-align: center;
  line-height: 1px;
  border-radius: 50%;
}

.footer-bottom {
  padding: 5px 0;
  border-top: 1px solid #313646;
  background: var(--color-primary);
  color: white;
  font-size: 14px;
}

.footer-site-info {
  text-align:center;
  padding-top: 5px;
}

.footer-site-info a {
  color: white;
}
.footer-privacy a {
  color: white;
  margin-right: 0.5rem;
  font-size: 14px;
}
.footer-privacy i {
  
  line-height: 1px;
  
}

@media screen and (max-width: 960px) {
  .navbar-hide-sec {
    display: none;
  }
}

@media only screen and (max-width: 768px) {
  .navbar-hide {
    display: none;
  }
}

@media screen and (min-width: 768px) {
  .header-col:last-child {
    margin-top: 0;
  }

  .info {
    grid-template-columns: repeat(3, minmax(180px, 1fr));
  }

  .info-element {
    grid-column: span 2;
  }

  .info:nth-of-type(3) figure {
    order: -1;
  }

  .footer {
    place-items: center;
  }
}
@media screen and (min-width: 960px) {
  .navbar {
    margin-bottom: 3rem;
  }
  .navbar-info {
    margin-bottom: 0rem;
  }
  .navbar-hide-pc {
    display: none;
  }
  .menulbl {
    display: none;
  }

  .menu {
    position: initial;
    display: flex;
    width: initial;
    margin: initial;
    padding: initial;
    background: none;
    box-shadow: none;
  }
}






.gallery-container {
	max-width: 700px;
	margin: 20px auto;
	background: #fff;
	position: relative;
	overflow: hidden;
	border-radius: 8px;
	box-shadow: 0 0 10px rgba(0,0,0,0.1);
}

.featured-image {
	width: 100%;
	padding-bottom: 66.67%;
	background-size: cover;
	background-position: center;
	transition: background-image 0.4s ease-in-out;
}

.gallery-track {
	display: flex;
	transition: transform 0.4s ease-in-out;
       	max-height: 100px;
	max-width: 50%;
}

.gallery-item {
	width: 50%;
       	max-height: 100px;
	padding-bottom: 66.67%;
	background-size: cover;
	background-position: center;
	opacity: 0.6;
	cursor: pointer;
	transition: opacity 0.3s ease;
}

.gallery-item.active {
	opacity: 1;
}

.gallery-controls {
	position: absolute;
	top: 40%;
	width: 100%;
	display: flex;
	justify-content: space-between;
	transform: translateY(-50%);
	pointer-events: none; 
}

.move-btn {
	background: rgba(0,0,0,0.4);
	color: #fff;
	border: none;
	font-size: 24px;
	padding: 10px 15px;
	cursor: pointer;
	pointer-events: auto; 
	transition: background 0.3s;
}

.move-btn:hover {
	background: rgba(0,0,0,0.8);
}













.faq-section{ 
    margin: 2rem auto;
    min-height: 100vh;
    padding: 1rem;
    display: grid;
    max-width: 54rem;
}

.accordion__wrapper {
    background-color: var(--color-white);
    box-shadow: var(--shadow);
    border-radius: 2.5rem;
    width: 100%;
    max-width: 54rem;
    padding: 1.5rem;
}

.accordion {
    border-bottom: 0.1rem solid var(--color-border);
    padding-bottom: 1rem;
    margin-bottom: 1.5rem;
}

.accordion__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
    cursor: pointer;
} 

.accordion__icon {
    background-color: var(--color-primary);
    width: 2.2rem;
    height: 2.2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    color: var(--color-white);
    flex-shrink: 0;
}

.accordion__question{
    font-size: var(--fs-md);
    font-weight: var(--fw-medium);
    color: var(--color-title);
}

.accordion__answer{
    padding: 1.2rem 0;
}

.accordion__content{
    overflow: hidden;
    height: 0;
    transition: var(--transition);
}

@media screen and (min-width: 580px) {
    .accordion__wrapper {
        padding: 2rem 3rem;
    }
}




    .language-dropdown {
      position: relative;
    }

    .dropdown {
      position: relative;
      display: inline-block;
    }

    .dropdown-toggle {
      display: flex;
      align-items: center;
      gap: 8px;
      cursor: pointer;
      padding: 10px 14px;
      font-size: 16px;
      font-weight: 500;
      color: #333;
      background-color: #fff;
      border: 1px solid #ddd;
      border-radius: 8px;

      transition: all 0.3s ease-in-out;
    }

    .dropdown-toggle:hover,
    .dropdown-toggle:focus {
      background-color: #f0f0f0;
      border-color: #ccc;
      outline: none;
    }

    .dropdown-menu {
      position: absolute;
      top: 100%;
      right: 0;
      display: none;
      min-width: 100px;
      background: white;
      border: 1px solid #ddd;
      border-radius: 8px;
      margin-top: 10px;
      box-shadow: 0 8px 16px rgba(0, 0, 0, 0.1);
      overflow: hidden;
      animation: fadeIn 0.2s ease-in-out;
      z-index: 10;
    }

    .dropdown.open .dropdown-menu {
      display: block;
    }

    .dropdown-item {
      display: flex;
      align-items: center;
      gap: 10px;
      padding: 10px 14px;
      font-size: 14px;
      color: #555;
      background: none;
      border: none;
      width: 100%;
      text-align: left;
      cursor: pointer;
    }

    .dropdown-item:hover,
    .dropdown-item:focus {
      background-color: #f9f9f9;
      outline: none;
    }

    .dropdown-item img {
      width: 24px;
      height: 24px;
      border-radius: 50%;
    }

    @keyframes fadeIn {
      from { opacity: 0; transform: translateY(-10px); }
      to { opacity: 1; transform: translateY(0); }
    }
